#pragma once

#include "CoreMinimal.h"
#include "BehaviourPenaltyDataBase.generated.h"

class ADBDPlayer;

USTRUCT(BlueprintType)
struct FBehaviourPenaltyDataBase
{
	GENERATED_BODY()

public:
	UPROPERTY(Transient)
	TWeakObjectPtr<ADBDPlayer> Player;

public:
	DEADBYDAYLIGHT_API FBehaviourPenaltyDataBase();
};

FORCEINLINE uint32 GetTypeHash(const FBehaviourPenaltyDataBase) { return 0; }
